Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.mdex
Class MDEXAttributeList

    java.lang.Object
      com.endeca.portal.mdex.MDEXAttributeList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<MDEXAttribute>

    public class MDEXAttributeList

extends java.lang.Object
implements java.io.Serializable, java.lang.Iterable<MDEXAttribute>

Wraps a Map of KeyProperties, providing easy access to a list of available attributes in the MDEX, and access to a conveniently wrapped MDEXAttribute object for any attribute requested by name. Also provides direct access to the KeyProperties returned by the MDEX, for any users with legacy code that may rely on the raw presentation API object.

Author:
  Endeca Technologies, Inc.
See Also:
  Serialized Form

Constructor Summary
`MDEXAttributeList(java.util.List<com.endeca.mdex.conversation.Record> properties, java.util.List<com.endeca.mdex.conversation.Record> dimensions)`
`MDEXAttributeList(java.lang.String dataSourceId, java.util.Map<java.lang.String,com.endeca.navigation.KeyProperties> keyProps)`

Method Summary
`java.util.Iterator<MDEXAttribute>` | `dimensionAttributeIterator()`
`MDEXAttribute` | `getAttribute(java.lang.String attrName)`
`java.util.Set<java.lang.String>` | `getAttributeNames()`
`java.util.Map<java.lang.String,MDEXAttribute>` | `getAttributes()`
`java.util.Map<java.lang.String,MDEXAttribute>` | `getAttributesByMdexProp(java.lang.String key, java.lang.String value)`
`java.util.Map<java.lang.String,MDEXAttribute>` | `getDimensions()`
`java.util.Map<java.lang.String,MDEXAttribute>` | `getNavigableAttributes()`
`java.util.Map<java.lang.String,MDEXAttribute>` | `getNumericAttributes()`
`java.util.Map<java.lang.String,MDEXAttribute>` | `getProperties()`
`com.endeca.navigation.KeyProperties` | `getRawKeyProperties(java.lang.String attrName)`
`boolean` | `isDateTime(java.lang.String propName)`
`boolean` | `isDimension(java.lang.String propName)`
`boolean` | `isMultiSelectAnd(java.lang.String propName)`
`boolean` | `isMultiSelectOr(java.lang.String propName)`
`boolean` | `isNumeric(java.lang.String propName)`
`java.util.Iterator<MDEXAttribute>` | `iterator()`
`java.util.Iterator<MDEXAttribute>` | `navigableAttributeIterator()`
`java.util.Iterator<MDEXAttribute>` | `numericAttributeIterator()`
`java.util.Iterator<MDEXAttribute>` | `propertyAttributeIterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MDEXAttributeList

    public MDEXAttributeList(java.lang.String dataSourceId,
                             java.util.Map<java.lang.String,com.endeca.navigation.KeyProperties> keyProps)

### MDEXAttributeList

    public MDEXAttributeList(java.util.List<com.endeca.mdex.conversation.Record> properties,
                             java.util.List<com.endeca.mdex.conversation.Record> dimensions)

Method Detail

### getAttributeNames

    public java.util.Set<java.lang.String> getAttributeNames()

### getAttributes

    public java.util.Map<java.lang.String,MDEXAttribute> getAttributes()

### getAttribute

    public MDEXAttribute getAttribute(java.lang.String attrName)

### getRawKeyProperties

    public com.endeca.navigation.KeyProperties getRawKeyProperties(java.lang.String attrName)

### getAttributesByMdexProp

    public java.util.Map<java.lang.String,MDEXAttribute> getAttributesByMdexProp(java.lang.String key,
                                                                                 java.lang.String value)

### getProperties

    public java.util.Map<java.lang.String,MDEXAttribute> getProperties()

### getDimensions

    public java.util.Map<java.lang.String,MDEXAttribute> getDimensions()

### getNavigableAttributes

    public java.util.Map<java.lang.String,MDEXAttribute> getNavigableAttributes()

### getNumericAttributes

    public java.util.Map<java.lang.String,MDEXAttribute> getNumericAttributes()

### isDimension

    public boolean isDimension(java.lang.String propName)

### isDateTime

    public boolean isDateTime(java.lang.String propName)

### isNumeric

    public boolean isNumeric(java.lang.String propName)

### isMultiSelectAnd

    public boolean isMultiSelectAnd(java.lang.String propName)

### isMultiSelectOr

    public boolean isMultiSelectOr(java.lang.String propName)

### iterator

    public java.util.Iterator<MDEXAttribute> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<MDEXAttribute>`

### dimensionAttributeIterator

    public java.util.Iterator<MDEXAttribute> dimensionAttributeIterator()

### numericAttributeIterator

    public java.util.Iterator<MDEXAttribute> numericAttributeIterator()

### propertyAttributeIterator

    public java.util.Iterator<MDEXAttribute> propertyAttributeIterator()

### navigableAttributeIterator

    public java.util.Iterator<MDEXAttribute> navigableAttributeIterator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD